Bug 1464116 - Collect container metrics is done until time.now instead of until end-time
Collect container metrics is done until time.now instead of until end-time
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: GA
: 5.9.0
Assigned To: Yaacov Zamir
Gilad Shefer
container:c&u
: TestOnly, ZStream
Depends On:
Blocks: 1469560
  Show dependency treegraph
 
Reported: 2017-06-22 09:01 EDT by Yaacov Zamir
Modified: 2018-04-09 09:03 EDT (History)
6 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1469560 (view as bug list)
Environment:
Last Closed: 2018-03-06 09:52:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)

  None (edit)
Description Yaacov Zamir 2017-06-22 09:01:03 EDT
Description of problem:


When queering containers metrics data from Hawkualr we query data until now instead of until endtime.

How to reproduce:
1. open consule "rails c" and run
  some_container = [ some container with Hawkualr metrics ]
  some_container.perf_capture('realtime', start_time = 10.minutes.ago, end_time = 9.minutes.ago)

What we get:
we get metrics until now

What we should get:
we get metrics until 9.minutes.ago
Comment 2 Yaacov Zamir 2017-06-22 09:30:15 EDT
submitted upstream:
https://github.com/ManageIQ/manageiq-providers-kubernetes/pull/49

Note You need to log in before you can comment on or make changes to this bug.